<html>
<head>
<title>OgreOSXWindow.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_43d9b0265a5a2fd53bf3892a292ce5e9.html">RenderSystems</a>      </li>
      <li class="navelem"><a class="el" href="dir_5bc5f2f46c6364f2594540d45df3d051.html">GL</a>      </li>
      <li class="navelem"><a class="el" href="dir_f7b8a29f58b064e3a63f570f2fc89729.html">include</a>      </li>
      <li class="navelem"><a class="el" href="dir_9005b09f6816560d7c0bc7177f4b3a7b.html">OSX</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#define-members">Defines</a>  </div>
  <div class="headertitle">
<div class="title">OgreOSXWindow.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &lt;Carbon/Carbon.h&gt;</code><br/>
<code>#include &quot;<a class="el" href="OgreRenderWindow_8h_source.html">OgreRenderWindow.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreOSXContext_8h_source.html">OgreOSXContext.h</a>&quot;</code><br/>
<code>#include &lt;OpenGL/OpenGL.h&gt;</code><br/>
<code>#include &lt;OpenGL/CGLTypes.h&gt;</code><br/>
</div>
<p><a href="OgreOSXWindow_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1OSXWindow.html">Ogre::OSXWindow</a></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="define-members"></a>
Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreOSXWindow_8h.html#ac642e78f83f7388e1a3a4ab60f573088">ENABLE_CG_CHECK</a>&#160;&#160;&#160;0</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreOSXWindow_8h.html#ab9c1473fc6ece3f8127b7fc7f1269f6d">CG_CHECK_ERROR</a>(e)&#160;&#160;&#160;{}</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="OgreOSXWindow_8h.html#a6094a310681edee9fcd460eeac791d26">CGL_CHECK_ERROR</a>(e)&#160;&#160;&#160;{}</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="ab9c1473fc6ece3f8127b7fc7f1269f6d"></a><!-- doxytag: member="OgreOSXWindow.h::CG_CHECK_ERROR" ref="ab9c1473fc6ece3f8127b7fc7f1269f6d" args="(e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreOSXWindow_8h.html#ab9c1473fc6ece3f8127b7fc7f1269f6d">CG_CHECK_ERROR</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">e</td><td>)</td>
          <td>&#160;&#160;&#160;{}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXWindow_8h_source.html#l00100">100</a> of file <a class="el" href="OgreOSXWindow_8h_source.html">OgreOSXWindow.h</a>.</p>

</div>
</div>
<a class="anchor" id="a6094a310681edee9fcd460eeac791d26"></a><!-- doxytag: member="OgreOSXWindow.h::CGL_CHECK_ERROR" ref="a6094a310681edee9fcd460eeac791d26" args="(e)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreOSXWindow_8h.html#a6094a310681edee9fcd460eeac791d26">CGL_CHECK_ERROR</a></td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname">e</td><td>)</td>
          <td>&#160;&#160;&#160;{}</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXWindow_8h_source.html#l00114">114</a> of file <a class="el" href="OgreOSXWindow_8h_source.html">OgreOSXWindow.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac642e78f83f7388e1a3a4ab60f573088"></a><!-- doxytag: member="OgreOSXWindow.h::ENABLE_CG_CHECK" ref="ac642e78f83f7388e1a3a4ab60f573088" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define <a class="el" href="OgreOSXWindow_8h.html#ac642e78f83f7388e1a3a4ab60f573088">ENABLE_CG_CHECK</a>&#160;&#160;&#160;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOSXWindow_8h_source.html#l00088">88</a> of file <a class="el" href="OgreOSXWindow_8h_source.html">OgreOSXWindow.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
